/**
 * User: Clinton Begin
 * Date: Jul 13, 2003
 * Time: 8:18:50 PM
 */
package com.ibatis.jpetstore.persistence.dao.iface;

import com.ibatis.db.dao.*;
import com.ibatis.jpetstore.domain.*;

import java.util.*;

public interface OrderDao {
  List getOrdersByUsername(String username)
      throws DaoException;

  Order getOrder(int orderId)
      throws DaoException;

  void insertOrder(Order order) throws DaoException;
}
